Subject: [Ice] 5245bis: Clarification of check scheduling procedures (chapter 5.1.4)

From: Christer Holmberg <[email-masked]>
Date: Thu, 1 Dec 2016 13:21:04 +0000

Hi,

Some time ago, I indicated that the check scheduling procedures (chapter 5.1.4) are messy. For example, they refer to the STUN procedures only for ordinary checks. Etc.

I have created a pull request to clean that up. I have also given the check trigger timer a name, Tc.

Note that there IS also a technical change, related to Emil’s issue.

Previously the text said that, when the timer expires for a given check list, if there are no pairs in the Waiting state within that check list the agent will unfreeze the highest-priority Frozen pair within that check list.

The text now says that such unfreezing only occurs if there are no pairs in the Waiting state IN ANY check list. Otherwise, if there are Waiting pairs in other check lists, they will be checked first (perhaps some of them will cause the Frozen pair to be unfrozen).

I still haven’t found any text talking about the unfreezing of complete lists, as indicated by Emil :)

https://github.com/ice-wg/rfc5245bis/pull/26

Regards,

Christer